{{ define "main" }}
<content>
  {{ if .Data.Singular }}
  <h3 style="margin-bottom:0">Filtering for "{{ .Title }}"</h3>
  <small>
    {{ if eq .Type "tags" }}
      <a href="{{ "blog" | relURL }}">Remove filter</a>
    {{ else if eq .Type "gameTrackingTags" }}
      <a href="{{ "game-tracking-details" | relURL }}">Remove filter</a>
    {{ else if eq .Type "unraidTags" }}
      <a href="{{ "unraid-details" | relURL }}">Remove filter</a>
    {{ end }}
  </small>
  {{ end }}
  <ul class="blog-posts">
    {{ if eq .Type "blog" }}
      {{ range .Pages }}
      <li>
        <span>
          <i>
            <time datetime='{{ .Date.Format "2006-01-02" }}' pubdate>
              {{ .Date.Format (default "02 Jan, 2006" .Site.Params.dateFormat) }}
            </time>
          </i>
        </span>
        <a href="{{ .Permalink }}">{{ .Title }}</a>
      </li>
      {{ else }}
      <li>
        No posts yet
      </li>
      {{ end }}
    {{ else if eq .Type "game-tracking-details"}}
      {{ range .Data.Pages.ByDate }}
      <li>
        <span>
          <i>
            <time datetime='{{ .Date.Format "2006-01-02" }}' pubdate>
              {{ .Date.Format (default "02 Jan, 2006" .Site.Params.dateFormat) }}
            </time>
          </i>
        </span>
        <a href="{{ .Permalink }}">{{ .Title }}</a>
      </li>
      {{ else }}
      <li>
        No posts yet
      </li>
      {{ end }}
    {{ else if eq .Type "unraid-details"}}
      {{ range .Data.Pages.ByTitle }}
      <li>
        <a href="{{ .Permalink }}">{{ .Title }}</a>
      </li>
      {{ else }}
      <li>
        No posts yet
      </li>
      {{ end }}
    {{ end }}
    {{ if eq .Type "tags" }}
      {{ range .Pages }}
      <li>
        <span>
          <i>
            <time datetime='{{ .Date.Format "2006-01-02" }}' pubdate>
              {{ .Date.Format (default "02 Jan, 2006" .Site.Params.dateFormat) }}
            </time>
          </i>
        </span>
        <a href="{{ .Permalink }}">{{ .Title }}</a>
      </li>
      {{ else }}
      <li>
        No posts yet
      </li>
      {{ end }}
    {{ else if eq .Type "gameTrackingTags"}}
      {{ range .Data.Pages.ByDate }}
      <li>
        <span>
          <i>
            <time datetime='{{ .Date.Format "2006-01-02" }}' pubdate>
              {{ .Date.Format (default "02 Jan, 2006" .Site.Params.dateFormat) }}
            </time>
          </i>
        </span>
        <a href="{{ .Permalink }}">{{ .Title }}</a>
      </li>
      {{ else }}
      <li>
        No posts yet
      </li>
      {{ end }}
    {{ else if eq .Type "unraidTags"}}
      {{ range .Data.Pages.ByTitle }}
      <li>
        <a href="{{ .Permalink }}">{{ .Title }}</a>
      </li>
      {{ else }}
      <li>
        No posts yet
      </li>
      {{ end }}
    {{ end }}
  </ul>
  {{ if .Data.Singular }}
  {{else}}
    <small>
      <div>
        {{ if eq .Type "blog"}}
          {{ range .Site.Taxonomies.tags }}
            <a href="{{ .Page.Permalink }}">#{{ .Page.Title }}</a>&nbsp;
          {{ end }}
        {{ else if eq .Type "unraid-details"}} 
          {{ range .Site.Taxonomies.unraidTags }}
            <a href="{{ .Page.Permalink }}">#{{ .Page.Title }}</a>&nbsp;
          {{ end }}
        {{ else if eq .Type "game-tracking-details"}} 
          {{ range .Site.Taxonomies.gameTrackingTags }}
            <a href="{{ .Page.Permalink }}">#{{ .Page.Title }}</a>&nbsp;
          {{ end }}
        {{ end }}
      </div>
    </small>
    {{ end }}
</content>
{{ end }}
